(function(){
    window.vitBack = function(backLink){
        if (isYaBrowser() && isMob()) {
            backNotUserGesture(backLink);
        } else {
            backUserGesture(backLink);
        }
    };

    function backNotUserGesture(backLink) {
        window.history.pushState({EVENT: "MIXER"}, "", window.location);
        window.onpopstate = function () {
            window.location.replace(backLink);
        }
    }

    function backUserGesture(backLink) {
        window.history.pushState({EVENT: "MIXER"}, "", window.location);
        history.back();
        history.forward();
        var popCount = 0;
        window.onpopstate = function () {
            popCount++;
            if (popCount === 1) {
                history.go(1);
                return;
            }
            if (popCount === 2) return;
            window.location.replace(backLink);
        };
    }

    function isYaBrowser() {
        var ua = navigator.userAgent;
        if (ua.search(/YaBrowser/) > 0) return true;
        return false;
    }

    function isMob() {
        return (/Android|webOS|iPhone|iPad|iPod|BlackBerry|BB|PlayBook|IEMobile|Windows Phone|Kindle|Silk|Opera Mini/i.test(navigator.userAgent));
    }

})(window);